import { Route } from "@solidjs/router";
import { about } from "@views/pages/about";
import { error } from "@views/pages/error";
import { home } from "@views/pages/home";
import { login } from "@views/pages/login";

import type { Component } from "solid-js";

const app: Component = () => (
	<>
		<Route path="/" component={home} />
		<Route path="/login" component={login} />
		<Route path="/about" component={about} />
		<Route path="*" component={error} />
	</>
);

export { app };
